// 请不要随便修改下面的设置

////////////////////////////////////////////////////////////////////////////////////
// CONFIGURATION                       
////////////////////////////////////////////////////////////////////////////////////

// 主背景色（大区域）
// 通常使用明快的颜色（浅黄色等...）
//if (typeof fcolor == 'undefined') { var fcolor = "#CCCCFF";}
	var fcolor = "#ffffff";//"#CCCCFF";
// Border的颜色和标题栏的颜色；
// 通常的颜色深（褐色，黑色等。）
	//if (typeof backcolor == 'undefined') { var backcolor = "#333399";}
	var backcolor = "#006699";
// 文字的颜色
// 通常是比较深的颜色；
	//if (typeof textcolor == 'undefined') { var textcolor = "#000000";}
	var textcolor = "#000000";
// 标题的颜色
// 通常是明快的颜色；
	//if (typeof capcolor == 'undefined') { var capcolor = "#FFFFFF";}
	var capcolor = "#FFFFFF";
// "Close"的颜色
// 通常是明快的颜色；
	//if (typeof closecolor == 'undefined') { var closecolor = "#9999FF";}
	var closecolor = "#9999FF";
// 弹出的窗口的宽度；
// 100-300 pixels 合适
	//if (typeof width == 'undefined') { var width = 300;}
	var width = 180;
// 边缘的宽度，象素。
// 1-3 pixels 合适
	if (typeof border == 'undefined') { var border = "1";}
	
// 弹出窗口位于鼠标左侧或者右侧的距离，象素。
// 3-12合适
	if (typeof offsetx == 'undefined') { var offsetx = 10;}
	
// 弹出窗口位于鼠标下方的距离；
// 3-12 合适
	if (typeof offsety == 'undefined') { var offsety = 10;}

// 关闭的图片
//if (typeof closepic == 'undefined') { var closepic = "../template/image/hide.gif";}
	var closepic = "./template/image/hide.gif";
////////////////////////////////////////////////////////////////////////////////////
// 设置结束
////////////////////////////////////////////////////////////////////////////////////

ns4 = (document.layers)? true:false
ie4 = (document.all)? true:false
// Microsoft Stupidity Check.
if (ie4) {
	if (navigator.userAgent.indexOf('MSIE 5')>0||navigator.userAgent.indexOf('MSIE 6')>0||navigator.userAgent.indexOf('MSIE 7')>0) {
		ie5 = true;
	} else {
		ie5 = false; }
} else {
	ie5 = false;
}
var x = 0;
var y = 0;
var snow = 0;
var sw = 0;
var cnt = 0;
var dir = 1;
var tr = 1;
var isIn=false;

if ( (ns4) || (ie4) ) {
	if (ns4) over	= document.div2
	if (ie4) over	= div2.style
	document.onmousemove = mouseMove
	if (ns4) document.captureEvents(Event.MOUSEMOVE)
}

// ============== 以下是页面中使用的公共函数；===================

// Simple popup right
function drs(text) {
	dts(1,text);
}

// Sticky caption right
function src(text,title,obj){
	text=obj.value;
	stc(1,text,title);
}

// Caption popup left
function dlc(text, title) {
	dtc(0,text,title);
}

// Caption popup center
function dcc(text, title) {
	dtc(2,text,title);
}

// Clears popups if appropriate
function nd() {
	if ( cnt >= 1 ) { sw = 0 };
	if ( (ns4) || (ie4) ) {
		if ( sw == 0 ) {
			snow = 0;
			hideObject(over);
		} else {
			cnt++;
		}
	}
}

// 非公共函数，被其它的函数调用；

// Simple popup
function dts(d,text) {
	autoalign();
	txt = "<TABLE WIDTH="+width+" BORDER=0 CELLPADDING="+border+" CELLSPACING=0 BGCOLOR=\""+backcolor+"\"><TR><TD><TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR=\""+fcolor+"\"><TR><TD><FONT FACE=\"宋体\" COLOR=\""+textcolor+"\">"+text+"</FONT></TD></TR></TABLE></TD></TR></TABLE>"
	layerWrite(txt);
	//dir = d;
	disp();
}

// Caption popup
function dtc(d,text, title) {
	txt = "<TABLE WIDTH="+width+" BORDER=0 CELLPADDING="+border+" CELLSPACING=0 BGCOLOR=\""+backcolor+"\"><TR><TD><TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD><SPAN ID=\"PTT\"><FONT COLOR=\""+capcolor+"\">"+title+"</FONT></B></SPAN></TD></TR></TABLE><TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR=\""+fcolor+"\"><TR><TD><SPAN ID=\"PST\"><FONT COLOR=\""+textcolor+"\">"+text+"</FONT><SPAN></TD></TR></TABLE></TD></TR></TABLE>"
	layerWrite(txt);
	dir = d;
	disp();
}

// Sticky 点击后
function stc(d,text, title) {
	autoalign();
	sw = 1;
	cnt = 0;
	if (dir==0){td_align="left";}else{td_align="right";}
	txt = "<TABLE WIDTH="+width+" BORDER=0 CELLPADDING="+border+" CELLSPACING=0 BGCOLOR=\""+backcolor+"\"><TR><TD><TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD><SPAN ID=\"PTT\"><FONT COLOR=\""+capcolor+"\">"+title+"</FONT></B></SPAN></TD><TD ALIGN="+td_align+"><A HREF=\"/\" onMouseOver=\"cClick();\" ID=\"PCL\"><FONT COLOR=\""+closecolor+"\">Close</FONT></A></TD></TR></TABLE><TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR=\""+fcolor+"\"><TR><TD><SPAN ID=\"PST\"><FONT COLOR=\""+textcolor+"\">"+text+"</FONT><SPAN></TD></TR></TABLE></TD></TR></TABLE>"
	//txt = "<TABLE WIDTH="+width+" BORDER=0 CELLPADDING="+border+" CELLSPACING=0 BGCOLOR=\""+backcolor+"\"><TR><TD><TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD><SPAN ID=\"PTT\"><FONT COLOR=\""+capcolor+"\">"+title+"</FONT></B></SPAN></TD><TD ALIGN="+td_align+"><img src="+closepic+"  onMouseOver=\"cClick();\" ID=\"PCL\"></TD></TR></TABLE><TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR=\""+fcolor+"\"><TR><TD><SPAN ID=\"PST\"><FONT COLOR=\""+textcolor+"\">"+text+"</FONT><SPAN></TD></TR></TABLE></TD></TR></TABLE>"
	//txt = "<TABLE WIDTH=500 BORDER=0 CELLPADDING="+border+" CELLSPACING=0 BGCOLOR=\""+backcolor+"\"><TR><TD><TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD><SPAN ID=\"PTT\"><FONT COLOR=\""+capcolor+"\">"+title+"</FONT></B></SPAN></TD><TD ALIGN=RIGHT><img src="+closepic+"  onMouseOver=\"cClick();\" ID=\"PCL\"></TD></TR></TABLE><TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR=\""+fcolor+"\"><TR><TD><SPAN ID=\"PST\"><FONT COLOR=\""+textcolor+"\">"+text+"</FONT><SPAN></TD></TR></TABLE></TD></TR></TABLE>"
	//alert(txt);
	layerWrite(txt);
	//dir = d;
	disp();
	snow = 0;
}
//
function autoalign(){
		leftBorder=0;
		rightBorder=document.body.clientWidth;
		if (rightBorder-width<30){
			dir = 2;
		}else{
			if(x+width-rightBorder>=0){
					dir = 0;//left
			}	else{
				  dir= 1; //right
			}
		}
		return dir;
}
// Common calls

function disp() {	
	if ( (ns4) || (ie4) ) {		
		if (snow == 0) 	{			
			if (dir == 2) { // Center
				moveTo(over,x+offsetx-(width/2),y+offsety);			}
			if (dir == 1) { // Right
				moveTo(over,x+offsetx,y+offsety);			}
			if (dir == 0) { // Left
				moveTo(over,x-offsetx-width,y+offsety);			}
			showObject(over);
			snow = 1;
		}
	}
	
// Here you can make the text goto the statusbar.
}

// Moves the layer
function mouseMove(e) {
	if (ns4) {x=e.pageX; y=e.pageY;}
	if (ie4) {x=event.x; y=event.y;}
	if (ie5) {
			x=event.x+document.body.scrollLeft;
			y=event.y+document.body.scrollTop;
	}	
	if (snow) {
		if (dir == 2) { // Center
			moveTo(over,x+offsetx-(width/2),y+offsety);
		}
		if (dir == 1) { // Right
			moveTo(over,x+offsetx,y+offsety);
		}
		if (dir == 0) { // Left
			moveTo(over,x-offsetx-width,y+offsety);
		}
	}
	
	if (sw==1){		
		//pstatus="x="+x+",over.left="+div2.offsetLeft;		
		if ((x< div2.offsetLeft)||(x>(div2.offsetLeft+div2.offsetWidth))||(y<div2.offsetTop)||(y>(div2.offsetTop+div2.offsetHeight))){
			//pstatus +="-Out";
			if (isIn){cClick();}
		}else{
			//pstatus +="-IN";
			isIn=true;
		}
		//window.status=pstatus;
	}
}

// The Close onMouseOver function for Sticky
function cClick() {
	hideObject(over);
	sw=0;
	isIn=false;
}

// Writes to a layer
function layerWrite(txt) {
        if (ns4) {
            var lyr = document.div2.document
            lyr.write(txt)
            lyr.close()
        }
        else if (ie4) document.all["div2"].innerHTML = txt
		//if (tr) { trk(); }
}

// Make an object visible
function showObject(obj) {
        if (ns4) obj.visibility = "show"
        else if (ie4) obj.visibility = "visible"
}

// Hides an object
function hideObject(obj) {
        if (ns4) obj.visibility = "hide"
        else if (ie4) obj.visibility = "hidden"
}

// Move a layer
function moveTo(obj,xL,yL) {
        obj.left = xL
        obj.top = yL
}
